# Text List

#### Text List 형 위젯은 텍스트와 서브 텍스트를 같이 사용한 UI입니다.

활용 예 ) 내 포인트 앱 이용자 내역

**Image**

![](/files/YkkTsxnhkPKBorr8s44a)

**Example**

{% file src="/files/NQHm3AfZKRkXNGtVlqmN" %}

```javascript
/**
 * Widget Handle Function
 * @param player Script Player Object
 * @returns 
 */
function openWidget(player)
{
    if (player.isMobile) {
        player.tag.widget = player.showWidget('widget.html', 'sidebar', 300, 500);
    } else {
        player.tag.widget = player.showWidget('widget.html', 'sidebar', 290, 460);
    }

    // send message to widget
    player.tag.widget.sendMessage({
        isMobile : player.isMobile,
    });

    // handle message from child frame(widget)
    player.tag.widget.onMessage.Add(function(sender, msg) {
        switch (msg.type)
        {
            case 'close':
                if(sender.tag.widget)
                {
                    sender.tag.widget.destroy();
                    sender.tag.widget = null;
                }
                break;
            case 'submit':
                sender.showAlert('OK');
                break;
        }
    })
}

App.onJoinPlayer.Add(function(player) {
    // Initialize tag properties of player
    player.tag = {};
});

App.onSidebarTouched.Add(function(player) {
    openWidget(player);
});


```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-kr.zep.us/creator/tutor/undefined/text-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
